> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# SendProcessedBids

> SendProcessedBids is called by the provider to send processed bids to the mev-commit node.
The provider will stream processed bids to the mev-commit node.



## OpenAPI

````yaml /v1.2.x/api-reference/provider-openapi-spec.json post /v1/provider/send_processed_bids
openapi: 3.0.0
info:
  title: Provider API
  version: 1.2.2-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/provider/send_processed_bids:
    post:
      summary: SendProcessedBids
      description: >-
        SendProcessedBids is called by the provider to send processed bids to
        the mev-commit node.

        The provider will stream processed bids to the mev-commit node.
      operationId: Provider_SendProcessedBids
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1BidResponse'
        description: >-
          Response sent by the provider with the decision on the bid received.
          (streaming inputs)
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/providerapiv1EmptyMessage'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1BidResponse:
      type: object
      example:
        bidDigest: >-
          9dJinwL+FZ6B1xsIQQo8t8B0ZXJubJwY86l/Yu7yAH159QrPHU0qj2P+YFj+llbuI1ZygdxGsX8+P3byMEA5ig==
        decayDispatchTimestamp: 1234567890
        status: STATUS_ACCEPTED
      properties:
        bidDigest:
          type: string
          format: byte
          description: Digest of the bid message signed by the bidder.
        status:
          $ref: '#/components/schemas/v1BidResponseStatus'
        dispatchTimestamp:
          type: string
          format: int64
          description: >-
            Timestamp at which the commitment is accepted by provider and is
            used to compute the expected revenue from the preconfirmation
      description: Response sent by the provider with the decision on the bid received.
      title: Bid response
      required:
        - bidDigest
        - status
        - decayDispatchTimestamp
    providerapiv1EmptyMessage:
      type: object
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1BidResponseStatus:
      type: string
      enum:
        - STATUS_ACCEPTED
        - STATUS_REJECTED
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````